Subject: Re: bug#22417: Self parsing bug

From: Mosè Giordano <[email-masked]>
Date: Wed, 20 Jan 2016 22:49:02 +0100

2016-01-20 22:44 GMT+01:00  <[email-masked]>:
> The only thing I load is auctex.el and the two lines
> (setq debug-on-error t)
> (setq TeX-parse-self t)
> so my init should be only that.

What if you comment the line

    (setq TeX-parse-self t)

delete the auto parsed file (if it exists, it's in the auto/
subdirectory of the path where your file is), restart Emacs and open
the file?

> The original error prevents the file to open but on subsequent tries the
> files opens without error.
> I didn't triet with an older version of emacs as I don't have it currently.
> I think it's a bit odd that it seems to be triggered by a latex package.

Sorry, I don't have Emacs 25.1, I can't test myself.  Without a
reproducible (for me) recipe I can't do much on this.

Bye,
Mosè